Package twisted :: Package protocols :: Package jabber :: Module component :: Class Service |
[frames | no frames]

## Class Service

    Service --+
              |
             Service

Method Summary
| `componentConnected(self, xmlstream)`
| `componentDisconnected(self)`
Inherited from Service
| ``__getstate__`(self)`
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`
| ``startService`(self)`
| ``stopService`(self)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.jabber.compon...`
Inherited from Service
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.protocols.jabber.component.IService at 0x88887fc>,)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net